Get origin error logs for a specific Pull Zone and date
curl --request GET \
--url https://cdn-origin-logging.bunny.net/{pullZoneId}/{dateTime} \
--header 'AccessKey: <api-key>'import requests
url = "https://cdn-origin-logging.bunny.net/{pullZoneId}/{dateTime}"
headers = {"AccessKey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {AccessKey: '<api-key>'}};
fetch('https://cdn-origin-logging.bunny.net/{pullZoneId}/{dateTime}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"logs": [
{
"logId": "a6a6b755-b6a4-46be-b523-aa82a17d4bc5",
"timestamp": 1728952065848,
"log": "{\"RequestUrl\":\"/apikey\",\"PullZoneId\":308006,\"Message\":\"Origin DNS lookup failed...\",\"ErrorCode\":\"dns_lookup\",\"StatusCode\":502}",
"labels": {
"ErrorCode": "dns_lookup",
"StatusCode": "502",
"ServerZone": "CA"
}
}
]
}API Reference
Get origin error logs for a specific Pull Zone and date
Retrieves origin error logs for the given Pull Zone and date.
GET
/
{pullZoneId}
/
{dateTime}
Get origin error logs for a specific Pull Zone and date
Authorizations
AccessKeyAuthJWTAuth
Send your Access Key in the AccessKey header.
Path Parameters
The ID of the Pull Zone.
The date for which to retrieve logs, formatted as MM-dd-yyyy.
Pattern:
^\d{2}-\d{2}-\d{4}$Example:
"10-29-2025"
Response
Successful response with log data
Show child attributes
Show child attributes
Last modified on January 29, 2026
Was this page helpful?
⌘I